/*
 *  timeControl.cpp
 *  johnWhitneyMusic
 *
 *  Created by Lucas Vickers on 9/21/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "timeControl.h"


TimeControl::TimeControl():
timeControls(),
index(0)
{
}											 
	
void TimeControl::setPoint(int x, float y)
{
	timeControls.push_back(ofPoint(x, y));
}

float TimeControl::getCurrentValue()
{	
	// we don't have another instruction
	if(index + 1 >= timeControls.size()) { 
		return timeControls[index].y;
	}
	
	float time = ofGetElapsedTimef();
	
	if(time >= timeControls[index+1].x) {
		++index;
	}
	
	return ofMap(time, timeControls[index].x, timeControls[index+1].x, timeControls[index].y, timeControls[index+1].y);
}
